Package org.drinkless.tdlib

# Class TdApi.StorageStatisticsFast

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StorageStatisticsFast

Enclosing class:
  `TdApi`

public static class TdApi.StorageStatisticsFast extends TdApi.Object
Contains approximate storage usage statistics, excluding files of unknown file type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `databaseSize`
  Size of the database.
  `int`
  `fileCount`
  Approximate number of files.
  `long`
  `filesSize`
  Approximate total size of files, in bytes.
  `long`
  `languagePackDatabaseSize`
  Size of the language pack database.
  `long`
  `logSize`
  Size of the TDLib internal log.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageStatisticsFast()`
  Contains approximate storage usage statistics, excluding files of unknown file type.
  `StorageStatisticsFast(long filesSize, int fileCount, long databaseSize, long languagePackDatabaseSize, long logSize)`
  Contains approximate storage usage statistics, excluding files of unknown file type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### filesSize

    public long filesSize
    Approximate total size of files, in bytes.

  - ### fileCount

    public int fileCount
    Approximate number of files.

  - ### databaseSize

    public long databaseSize
    Size of the database.

  - ### languagePackDatabaseSize

    public long languagePackDatabaseSize
    Size of the language pack database.

  - ### logSize

    public long logSize
    Size of the TDLib internal log.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StorageStatisticsFast

    public StorageStatisticsFast()
    Contains approximate storage usage statistics, excluding files of unknown file type.

  - ### StorageStatisticsFast

    public StorageStatisticsFast(long filesSize, int fileCount, long databaseSize, long languagePackDatabaseSize, long logSize)
    Contains approximate storage usage statistics, excluding files of unknown file type.
    Parameters:
      `filesSize` - Approximate total size of files, in bytes.
      `fileCount` - Approximate number of files.
      `databaseSize` - Size of the database.
      `languagePackDatabaseSize` - Size of the language pack database.
      `logSize` - Size of the TDLib internal log.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR